V 
* features
- 
* bug fixes
- 

V 3.4.2
* features
- use "on battery" not "screen off" for "screen locked"
- more translations
* bug fixes
- 

V 3.4.1
* features
- 
* bug fixes
- fix force closes
- fix battery not updating
- fix governor thresholds not written

V 3.4.0
* features
- New screen off and locked profiles
- New shell backend (thanks to stericson)
- Use interactive governor on Android 4.0 and later
- Do not start after frequent reboots
- UI optimisations
* bug fixes
- Fix scriptcache on pre Gingerbread devices
- Fix profile editor orientation changes
- Minor fixes

V 3.3.17
* features
- 
* bug fixes
- fix governor script execution

V 3.3.16
* features
- jelly beans fixes
- cache profile change scripts
- service switch optimisations
* bug fixes
- 

V 3.3.15
* features
- French and Spanish translation updates
* bug fixes
-
 
V 3.3.14
* features
- Croatian translation (Thanks to D.Vidic)
- French translation rework (Thanks to Michael)
* bug fixes
- 

V  3.3.13
* features
- Spanish translation (Thanks to Rubén)
- Korean translation (Thanks to 시즈카)
- Jelly Bean optimisations
- moved translation to http://www.getlocalization.com/cputuner/
- minor translation updates
* bug fixes
- fix crashes

V 3.4.0
* features
- disable min/max frequencies for beginners
- make virtual governors mandatory
- disable GPS switching (as system app)
- let only power users switch off CPUs and warn them
* bug fixes
- 

V  3.3.13
* features
- Spanish translation (Thanks to Rubén)
- Korean translation (Thanks to 시즈카)
- Jelly Bean optimisations
- moved translation to http://www.getlocalization.com/cputuner/
- minor translation updates
* bug fixes
- fix crashes

V 3.3.12
* features
- write directly to sysfs files is now a option
* bug fixes
- fix crashes introduced with version 3.3.11

V 3.3.11
* features
- Fix for Jelly Bean
* bug fixes
-

V 3.3.10
* features
- limit switch interval
* bug fixes
- fix min/max frequency spinners not updating
- fix governor editor for small screens

V 3.3.9
* features
- 
* bug fixes
- fix save in autoload config
- fix rare crashes

V 3.3.8
* features
- ISC optimisations
* bug fixes
- fix rare crashes

V 3.3.7
* features
- English translation ;) (Thanks to Michael)
* bug fixes
- fix memory leak
- virtgov editor saves number of cpus
- rare crashes

V 3.3.6
* features
- Russian translation (Thanks to Kotdis)
* bug fixes
- minor fixes

V 3.3.5
* features
- foreground/background profile switches are configurable (default: background)
- option to hide widget labels
* bug fixes
- fix insert new virtual governor does not save the governor
- remove profile switch governor settings since it only yielded troubles
- do not ( by default) switch off CPUs 

V 3.3.4
* features
- show deep sleep in adv stats 
- change font size of widget
- display temperature in °C, °F or K
- translation updates
* bug fixes
- errors
 
V 3.3.3
* features
- 
* bug fixes
- update small widget
- fix notification setting
- fix crashes

V 3.3.2
* features
- smaller widget and a new tiny widget
- log start and stop in switchlog
- clear all power usage from menu
* bug fixes
- prevent background process from being killed (if notification is shown)
- fix capabilities check
- fix crashes

V 3.3.1
* features
- display help icon on main screen
* bug fixes
- fix crash on editor close
- launch market if superuser is not installed
- fix crashes

V 3.3.0 
* features
- Japanese translation (by Sunatomo)
- a widget (as extension)
- switch services from current tab
- show battery level in notification
- track power consumption in battery % per hour (beta and not quite working)
- translated (de, it and ja) trigger, profile and virtual governor names (on system configuration load)
- lots minor changes
* bug fixes
- fix profile "none" after manual profile changes
- fix crashes

V 3.2.2
* features
- 
* bug fixes
- fix context menu in lists
- fix governor description on load
- allow export of switch log to capabilities check mail

V 3.2.1
* features
- Italian translation (by Rino)
- minor layout optimisations
* bug fixes
- fix refresh not working after orientation change
- rare crash

V 3.2.0
* features
- optimise layout for ice cream sandwich (android 4)
- speedup profile switches
- new advanced statistics that allow filtering
- allow special cpu setting during profile switch
- settings for extensions
* bug fixes
- use added configuration as the current one
- cpufreq files not found in some kernels
- files only be read by root in some devices (JackieKu)

V 3.1.4
* features
- 
* bug fixes
- fixes ICS crashes (should fix HC as well)
- fix insert as new for configuration autoload

V 3.1.3
* features
- 
* bug fixes
- fixes

V 3.1.2
* features
- 
* bug fixes
- fix force closes

V 3.1.1
* features
- 
* bug fixes
- fix manual service changes getting confused by service state leave
- fix force closes

V 3.1.0 
* features
- background is more resistant to being killed
- switch log uses DB
- new advanced switch log with clear and mark (adv stats)
- refresh "current" view  
- extensions can be disabled 
* bug fixes
- save after insert as new
. force closes

V 3.0.2
* features
- 
* bug fixes
- minor fixes

V 3.0.1
* features
- 
* bug fixes
- minor fixes

V 3.0.0
* features
- new swipe friendly user interface
- rework backend and use background process to do the work
- initalise cpu tuner from (default) configurations 
- on power is stronger screen locked by default (enable the old sequence in settings) 
- insert as new: copy and insert an entry 
- editor close does sanity checks and asks the user or does not save
- separate statics and profile switch log and update on click
- pulsed services do not restart sequence on profile switch and allow initial delay
- cpu tuner can be added to the statusbar while not running
- new extension framework
- graphical statistics (as extension)
- lots of other things
* bug fixes
- start/stop notification entry on enable/disable
- fix layout error on orientation change
- label powersave bias
- save but do not apply on editor close when cpu tuner is disabled
- fix battery hot and call in progress profile if none is set
- more fixes

V 2.7.8
* features
- optimised configuration handling
* bug fixes
- fixes

V 2.7.7
* features
- 
* bug fixes
- load default values on first boot
- German translation finished
- fix force close

V 2.7.6
* features
- 
* bug fixes
- fix configuration manage fc
- evaluate profile trigger on install/start/load
- Do not enable statusbar notifications by default

V 2.7.5
* features
- 
* bug fixes
- fix autoloading empty configurations
- not not save config on battery stats update 

V 2.7.4
* features
- 
* bug fixes
- fix loss of profiles, tiggers and/or virt. governors
- fix configuration autoload
- start notification if profiles are enabled again


V 2.7.3
* features
- 
* bug fixes
- fix forcecloses

V 2.7.2
* features
- 
* bug fixes
- Fix switches to profile none

V 2.7.1
* features
- display if profile is manually changed in notification
* bug fixes
- switch to correct profile on manually change 
- fix capability check send report errors

V 2.7.0
* features
- ask before deleting autoload configuration
- change networkmode (2G/3G) on wifi connected
- manually change profile
- multicore features non beta now
* bug fixes
- fix manual service changes for networkmode (2G/3G)

V 2.6.4
* features
- 
* bug fixes
- fix force close

V 2.6.4
* features
- 
* bug fixes
- fix force close

V 2.6.3
* features
- 
* bug fixes
- fix crash on boot

V 2.6.2
* features
- 
* bug fixes
- fix force closes

V 2.6.1
* features
- 
* bug fixes
- fix force closes
* internal
- Check networkmode before changing it
- Handle concurency in DB cache

V 2.6.0
* features
- save current config on change
- close configuration manager after load if called directly
- menu reorganisation
- display changelog
* bug fixes
- fix cancel editor if inserting
- fix force close in configuration autoloading
* internal
- cache DB access

V 2.5.0
* features
- enable/disable cpus (for mulitcore devices and still a beta feature)
* bug fixes
- fix apply virtual governor to profile
- apply to system after changing trigger, profile or governor

V 2.4.0
* features
- Use spinner to choose frequencies
* bug fixes
- Greek translation update
- fix jumping profile editor

V 2.3.2 
* features
- 
* bug fixes
- fix crash on start

V 2.3.1
* features
-
* bug fixes
- fixed crash on start bug (finally and hopefully)
- German translation update
- Italian translation update

V 2.3.0
* features
- handle multicore devices (beta feature)
* bug fixes
- autoload configuration does not get saved

V 2.2.3 
* features
- 
* bug fixes
- fix forcecloses

V 2.2.2
* features
- autoload based on weekdays 
- delete autoload configurations
- fix trigger list layout with long profile names
* bug fixes
- fix force close in autoload editor

V 2.2.1
* features
- 
* bug fixes
- really do exact scheduling
- fix profile editor layout
- fixed force close in autoload editor 

V 2.2.0
* features
- time-specific configurations (autoloading configurations)
- backup/restore settings to cloud
- log profile and configuration switching
* bug fixes
-

V 2.1.3
* features
- 
* bug fixes
- give the smartass governor a max frequency slider back

V 2.1.2
* features
- basic help page for configurations
* bug fixes
- some devices seem the need the vibrate permission .oO(strange...)
- prevent errors while switching profiles

V 2.1.1
* features
- 
* bug fixes
- disable debug mode

V 2.1.0
* features
- configurations: backup/restore
- switch airplane mode (the ultimate battery saver - wait for 2.2 then it will make more sense)
* bug fixes
-

V 2.0.7
* features
- 
* bug fixes
- fix force close

V 2.0.6
* features
- 
* bug fixes
- fix forceclose

V 2.0.5
* features
- fix capability check to honor thresholds
- capability check: help page and remove e-mail address 
- help pages for settings
* bug fixes
-

V 2.0.4
* features
- Show battery info when clicking on power information (hidden feature)
* bug fixes
- fix force close

V 2.0.3
* features
- GUI cleanup
- colorise current virtual governor
* bug fixes
- fix wrong virtual governor bug

V 2.0.2
* features
- context sensitive help
- help update 
- manage back button in help
* bug fixes
-

V 2.0.1
* features
- 
* bug fixes
- fix fc on orientation change

V 2.0.0
* features
- Virtual governors
- GUI updates
- Settings and help moved to menu
- Statistics tab
- allow frequencies < 400 for minimal frequency
- use powersave_bias 
* bug fixes
-

V 1.6.1
* features
- Greek translation
- 
* bug fixes
- 

V 1.6.3
* features
- 
* bug fixes
- fix forceclose
- fix read battery current
 
V 1.6.2
* features
- French translation
- allow min equal max frequency
- switch reporting to mailing list cputuner-help@lists.sourceforge.net
* bug fixes
- fix switching language internally

V 1.6.1
* features
- Settings option: Pulse mobiledata on connected wifi (default: true)
- Greek translation
- report android release
* bug fixes
-
 
V 1.6.0
* features
- Avoid some system calls by handling sanity checks internally 
- Choose app language
- force internal installation otherwise boot start will not work
- run script on profile switch (for power users and non beta now)
* bug fixes
- fix force close on orientation change in capabilities check
- make logging less noisy
- Italian Update

V 1.5.2
* features
- ensure correct frequency and threshold values
* bug fixes
- fix crash

V 1.5.1 
* features
- go back to previous service state  (non beta now)
- move capability check to settings/system
- make allow manual service changes default 
* bug fixes
- fix crash on start

V 1.5.0
* features
- run script on profile switch (beta and for power users)
- call in progress profile (non beta now)
- pulsed service switches (non beta now)
- manually choose a profile
- layout changes
- German translation
* bug fixes
- 
Those last changes where done while my thoughts where in Japan.
Hopefully we will never ever see such a nuclear disaster again!

V 1.4.2
* features
- Added option (in settings) to enable userspace governor
* bug fixes
-

V 1.4.1
* features
- 
* bug fixes
- removed userspace governor
- updated Italian translation
- fix capability check

V 1.4.0
* features
- pulsed service switches (beta)
- Italian translation
* bug fixes
- 

V 1.3.1
* features
- 3G only state
* bug fixes
- Fix user level chooser for small devices

V 1.3.0
* features
- ask for user experience level
- mobiledata connection switch
- call in progress profile (beta)
* bug fixes
- 

V  1.2.3
* features
- reverted to 1.2.1
* bug fixes
-
 
V 1.2.2
* features
- 
* bug fixes
- fix force closes

V 1.2.1
* features
- Additional FAQs
- reorganised setting
* bug fixes
- fixes for force closes and freezes
- fix start on boot (it is now managed be enable profiles)

V 1.2.0
* features
- do not change wifi while connected to a network (settings default: off)
- do not change profiles during a phone call at all (settings default: off)
- optional custom temperature for battery hot state
* bug fixes
- fix system battery hot state
- fixes for force closes and freezes
- Toast notifications are gone (sorry!)


V 1.1.3
* features
- new user experience levels (power user mode removed)
* bug fixes
- toast notifications are back
- fix phone call hang up on mobiledata change

V 1.1.2
* features
- 
* bug fixes
- fix freeze on install profiles
- fix min displayed frequency to include this frequency

V 1.1.1
* features
- 
* bug fixes
- fix power usage display
 
V 1.1.0
* features
- go back to previous service state  (non beta now)
- move capability check to settings/system
- make allow manual service changes default 
* bug fixes
- fix power consumption display  
- fix error in capability check

V 1.0.1
* features
- 
* bug fixes
- decreased memory footprint

V 1.0.0
* features
- go back to previous service state  (beta feature)
- new default profiles (governor thresholds are non power user now)
- save and cancel for editors
- hide keyboard in editors
- hot state non beta
* bug fixes
- fix finding trigger 
- profile editor discards changes on change
* internal -----------------------
- remove old receiver interface
- make powerprofiles singleton class

V 0.16.0
* features
- Setting for minimum displayed frequency
- Battery hot state (beta)
- Check capabilities progress dialog
* bug fixes
- 

V 0.15.1
* features
- 
* bug fixes
- fix check information
- sort cpu frequencies

V 0.15.0
* features
- find possibly more frequencies (from cpuinfo)
- make power consumption calculation configurable
- restore default settings
* bug fixes
- 

V 0.14.1
* features
- 
* bug fixes
- fix fc in toast generation

V  0.14.0
* features
- manual service handling (non beta now)
- make service use a background task to switch profile (non beta now)
- better capability check
- buy me a beer
* bug fixes
-

V 0.13.0
* features
- make service use a background task to switch profile (beta feature)
- help navigation
- more help information
* bug fixes
- fix no profile on start
- use power user mode for capability check
- use current now for power consumption calculation
- check developer id before suggesting cyanogenmod
- layout fixes

V 0.12.0
* features
- only switch service if not changed manually within the same trigger (beta feature)
- show active trigger and profile in list
* bug fixes
- hide power usage if files not accessible
- fixes

V 0.11.4
* features
- dialog for mail subject and body
- help: links
* bug fixes
- fix finding trigger (crazy profiles bug)
- moved next best trigger to beta

V 0.11.3
* features
- handle frequencies if none are give (not working slider problem) 
- make 2g switch none beta  
* bug fixes
- more infos in report
- fix insert trigger
- fix not trigger bigger than batter level found (take the next lower)

V 0.11.2
* features
- Better display of services in profile list
* bug fixes
- fixed switching off GPS
- only apply setting if not already in desired state

V 0.11.0
* features
- switch background sync on/off
- switch 3G/2G on/off (beta feature)
- improved report information
* bug fixes
-

V 0.10.0
* features
- governor up/down thresholds
- send mail with attached device and debugging information
* bug fixes
- fix find trigger for battery full

V 0.9.8
* features
- bug report (not working yet)
* bug fixes
- fixed FCs

V 0.9.7
* features
- help pages
- display message on error setting value
* bug fixes
- display notification time in status base
- get power usage from current_avg
- apply profile on start
 
V 0.9.6
* features
- force frequencies > 400 MHz for non power users
- calculate power per trigger/profile combinations
- get battery level on start
* bug fixes
- set min cpu freq

V 0.9.5
* features
- user definable triggers and profiles
- possibility from beta feature
- settings rework
- power user mode
- remove frequencies < 400 MHz for non power users
* bug fixes
- remove capabilities check from main screen
- install is system app is beta 
- 'minor' things
